## hildon-welcome 0.23-2%2b0m5

=== debian/changelog ===
hildon-welcome (0.23-2+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Kojo Aapo <aapo.kojo@nokia.com>  Mon, 31 Aug 2009 13:48:24 +0300

hildon-welcome (0.23-2) unstable; urgency=low

  * Need to touch /tmp/hildon-welcome-is-finished if skipping logo(s)

 -- Gabriel Schulhof <gabriel.schulhof@nokia.com>  Mon, 31 Aug 2009 12:51:10 +0300

hildon-welcome (0.23-1) unstable; urgency=low

  * Do not run if /proc/bootreason != pwr_key
  * Fixes: NB#136111 (Nokia handshake must be skipped after accidental reboot)

 -- Gabriel Schulhof <gabriel.schulhof@nokia.com>  Mon, 31 Aug 2009 10:16:49 +0300

hildon-welcome (0.22-1) unstable; urgency=low

  * Touch /tmp/hildon-welcome-is-finished upon exiting

 -- Gabriel Schulhof <gabriel.schulhof@nokia.com>  Wed,  5 Aug 2009 14:41:39 +0300

hildon-welcome (0.21-1) unstable; urgency=low

  * Yank the fork(2)ing code back out, since '&' now seems to work
  * Add '&' to the 10hildon_welcome xsession script
  * Fixes: NB#130208 (Customized start-up video not shown)

 -- Gabriel Schulhof <gabriel.schulhof@nokia.com>  Fri, 31 Jul 2009 14:23:12 +0300

hildon-welcome (0.20-1) unstable; urgency=low

  [ Gabriel Schulhof ]
  * Fork into the background when poised to play first logo.
    Fixes: NB#126816 - hildon welcome parallel startup

 -- Viktor Nagy <vik@garage.maemo.org>  Tue, 14 Jul 2009 15:51:56 +0200

hildon-welcome (0.19-2) unstable; urgency=low

  * Added a missing build dependency.

 -- Viktor Nagy <vik@garage.maemo.org>  Thu, 02 Jul 2009 14:40:30 +0200

hildon-welcome (0.19-1) unstable; urgency=low

  * Use fakesink for audio when profile is silent
    Fixes: NB#120890 - Nokia handshaking Wake-Up animation is broken in silent mode

 -- Viktor Nagy <vik@garage.maemo.org>  Wed, 01 Jul 2009 13:31:04 +0200

hildon-welcome (0.18-1) unstable; urgency=low

  [ Peter Csaszar ]
  * Fixes: NB#119664 - Nokia tune is played very loud although the
    status menu shows that the sounds are quite low

 -- Gabriel Schulhof <gabriel.schulhof@nokia.com>  Mon, 08 Jun 2009 09:09:22 +0200

hildon-welcome (0.17-3) unstable; urgency=low

  * Forgot to turn on maemo-launcher-dev dependency

 -- Gabriel Schulhof <gabriel.schulhof@nokia.com>  Mon, 18 May 2009 11:10:36 +0300

hildon-welcome (0.17-2) unstable; urgency=low

  * Turn on maemo-launcher for hildon-welcome
  * Fixes: NB#94139 (hildon-welcome start could be faster)

 -- Gabriel Schulhof <gabriel.schulhof@nokia.com>  Fri, 15 May 2009 17:39:02 +0300

hildon-welcome (0.17-1) unstable; urgency=low

  * Acquire the XComposite overlay window only when ready to play, to help out
    the new progress indicator.

 -- Gabriel Schulhof <gabriel.schulhof@nokia.com>  Wed,  6 May 2009 14:16:04 +0300

hildon-welcome (0.16-1) unstable; urgency=low

  * Absolute timeout is now 60000 ms
  * Absolute timeout does not abort(2). Instead, it does _Exit(1).
  * Fixes: NB#107877 (hildon-welcome crashes if the duration of customer logo is more than 30 seconds.)

 -- Gabriel Schulhof <gabriel.schulhof@nokia.com>  Mon, 30 Mar 2009 15:24:22 +0300

hildon-welcome (0.15-1) unstable; urgency=low

  * Removed dependency on libxext-dev, because it is no longer necessary
  * Properly init play_to, so disposing of it doesn't kill hildon-welcome
  * Add timestamp to log messages the right way - by customizing g_log

 -- Gabriel Schulhof <gabriel.schulhof@nokia.com>  Wed, 18 Mar 2009 13:06:24 +0200

hildon-welcome (0.14-1) unstable; urgency=low

  * Steel timeouts against sudden date changes into the future with a per-timeout GTimer
  * Use a global GTimer to give debug/warning/error messages timestamps

 -- Gabriel Schulhof <gabriel.schulhof@nokia.com>  Fri, 13 Mar 2009 13:34:17 +0200

hildon-welcome (0.13-1) unstable; urgency=low

  * Added command line parsing for 3 options: -a for audio pipeline, -v for video pipeline,
    and -s for silence pipeline
  * Removed "flags=99" from default video pipeline because it breaks still image playback
  * Fixes: NB#103748

 -- Gabriel Schulhof <gabriel.schulhof@nokia.com>  Tue, 24 Feb 2009 16:38:56 +0200

hildon-welcome (0.12-1) unstable; urgency=low

  [ Gabriel Schulhof ]
  * New video file - need 48kHz sound to reduce CPU usage
  * Cut logo out of package
  * Add LGPL notice
  * HACK: Depend on libxext-dev, even though libxcomposite-dev ought to so depend

 -- Gabriel Schulhof <gabriel.schulhof@nokia.com>  Fri, 20 Feb 2009 13:19:26 +0200

hildon-welcome (0.11-1) unstable; urgency=low

  [ Gabriel Schulhof ]
  * Run hildon-welcome with --gst-disable-registry-update to get a faster startup time
  * Create playbin2 with "flags=99" - a startup time optimization suggested by Stefan Kost
  * Paint the destination window black before placing the last pipeline into the NULL state
    - prevents the "green flash" when the application quits

 -- Karoliina Salminen <karoliina.t.salminen@nokia.com>  Wed, 28 Jan 2009 12:39:17 +0200

hildon-welcome (0.10-1) unstable; urgency=low

  [ Karoliina Salminen ]
  * Updated video file

 -- Karoliina Salminen <karoliina.t.salminen@nokia.com>  Tue, 27 Jan 2009 15:27:11 +0200

hildon-welcome (0.9-1) unstable; urgency=low

  [ Gabriel Schulhof ]
  * Make absolute timeout fatal

 -- David Kedves <kedazo@gmail.com>  Wed, 14 Jan 2009 11:16:01 +0200

hildon-welcome (0.8-1) unstable; urgency=low

  * Restore scanning in an attempt to make hildon-welcome work on first boot

 -- David Kedves <kedazo@gmail.com>  Wed,  7 Jan 2009 16:40:46 +0200

hildon-welcome (0.7-1) unstable; urgency=low

  [ Gabriel Schulhof ]
  * Disable registry update during loading from xsession script
  * Make sure timeouts don't outlive their pipelines
  * Free the path when destroying the iterator due to g_dir_open() failure
  * Check for mce at configure time
  * Merged temporary removal of reference to movie (0.6-2)
  * Treat optional dependencies consistently in configure.ac
  * D-Bus dependency is unnecessary if mce is not found


