## hildon-welcome 0.23-2+0m5

=== debian/control ===
Source: hildon-welcome
Section: misc
Priority: optional
Maintainer: Gabriel Schulhof <gabriel.schulhof@nokia.com>
Uploaders: Gabriel Schulhof <gabriel.schulhof@nokia.com>
Build-Depends: debhelper (>= 4.1.0), libglib2.0-dev (>= 2.2.0), libgstreamer0.10-dev (>= 0.10.0), libgstreamer-plugins-base0.10-dev (>= 0.10.0), libxcomposite-dev, mce-dev, libdbus-1-dev, maemo-launcher-dev, libprofile-dev, libdbus-glib-1-dev
Standards-Version: 3.7.2

Package: hildon-welcome
Section: misc
Architecture: any
Recommends: hildon-welcome-settings 
Depends: ${shlibs:Depends},${launcher:Depends}
Description: Splashscreen
 This package contains the program which shows the welcome animation.

Package: hildon-welcome-dbg
Priority: extra
Section: misc
Architecture: any
Depends: hildon-welcome (= ${binary:Version})
Description: Hildon Welcome debug symbols
 This package contains the hildon welcome debugs symbols.
